#include <iostream>

#include <libglademm/xml.h>
#include <gtkmm.h>
#include <gtkglmm.h>


#ifdef ENABLE_NLS
#  include <libintl.h>
#endif


/* For testing propose use the local (not installed) glade file */
/* #define GLADE_FILE PACKAGE_DATA_DIR"/ttedit/glade/ttedit.glade" */
#define GLADE_FILE "ttedit.glade"

#include "display.h"
   
int
main (int argc, char *argv[])
{
	Gtk::Main kit(argc, argv);
	
	if(!Gtk::GL::init_check(argc, argv))
	{
		Gtk::MessageDialog e("Couldn't initilize gtkglextmm.\nPlease ensure that OpenGL drivers are installed.", Gtk::MESSAGE_ERROR);
		e.run();
		return(-1);
	}
	
	//Load the Glade file and instiate its widgets:
	Glib::RefPtr<Gnome::Glade::Xml> refXml;
	try
	{
		refXml = Gnome::Glade::Xml::create(GLADE_FILE);
	}
	catch(const Gnome::Glade::XmlError& ex)
    {
		std::cerr << ex.what() << std::endl;
		return 1;
	}
	
	Gtk::Window* main_win = 0;
	refXml->get_widget("main_window", main_win);
	
	if (main_win)
	{
		kit.run(*main_win);
	}
	return 0;
}
